actions:
- command: deploy_linaro_image
  parameters:
    hwpack: '${HWPACK_BUILD_URL}'
    rootfs: '${ROOTFS_BUILD_URL}'
  metadata:
    distribution: 'ubuntu'
    hwpack.build: '${BUILD_NUMBER}'
    hwpack.type: '${hwpack_type}'
    rootfs.build: '${ROOTFS_BUILD_NUMBER}'
    rootfs.type: 'developer'
    git URL: '${GIT_URL}'
    git branch: '${GIT_BRANCH}'
    git commit: '${GIT_COMMIT}'
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: ubuntu/device-tree.yaml
    timeout: 800
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: ubuntu/sd-mmc-ubuntu.yaml
    timeout: 800
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: ubuntu/gator-data-streaming-ubuntu.yaml
    timeout: 1200
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: ubuntu/ltp.yaml
    timeout: 10800
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: ubuntu/perf.yaml
    timeout: 800
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: ubuntu/pwrmgmt.yaml
    timeout: 1200
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: ubuntu/smoke-tests-basic.yaml
    timeout: 1200
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: ubuntu/usb-test-basic.yaml
    timeout: 1200
- command: lava_test_shell
  parameters:
    testdef_repos:
    - git-repo: git://git.linaro.org/qa/test-definitions.git
      testdef: ubuntu/network-tests-basic.yaml
    timeout: 1200
- command: submit_results
  parameters:
    server: 'http://${LAVA_SERVER}'
    stream: '${BUNDLE_STREAM_NAME}'
device_type: '${DEVICE_TYPE}'
job_name: '${BUILD_URL}'
timeout: 172800
